Name:           BiSheng-Autotuner
Version:        2.2.0
Release:        1
Summary:        BiSheng Autotuner tools for openEuler llvm
License:        Apache-2.0 WITH LLVM-exception
URL:            https://gitee.com/openeuler/BiSheng-Autotuner
Source0:        https://gitee.com/openeuler/BiSheng-Autotuner/archive/BiSheng-Autotuner.zip

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pip
BuildRequires:  python3-wheel

#install requirements
BuildRequires:  BiSheng-opentuner python3-configparser python3-defusedxml python3-dill python3-pyyaml python3-requests python3-importlib-metadata

%description
BiSheng Autotuner is a command-line tool (llvm-autotune) that
enables a user to search for the optimal compiler optimization
parameters for fine-grained code regions in a given program,
via an iterative compilation process using BiSheng Compiler.

%prep
%autosetup -n %{name}-%{version}
# sed -i 's/numpy>=1.12.1, <=1.23.5/numpy>=1.12.1/' requirements.txt
# sed -i 's/SQLAlchemy==1.4.49/SQLAlchemy/' requirements.txt

%build
echo "include autotuner/search_space_config/*.yaml autotuner/search_space_config/*.xml" > MANIFEST.in
mkdir ./build
%py3_build

%install
%py3_install
mkdir -p %{buildroot}%{_prefix}/bin
install -m 0755 ./bin/llvm-autotune %{buildroot}%{_prefix}/bin/
install -m 0755 ./bin/auto-tuner %{buildroot}%{_prefix}/bin/

%files -n %{name}
%doc LICENSE.txt
%{python3_sitelib}/*egg-info
%{python3_sitelib}/autotuner
%{_prefix}/bin/llvm-autotune
%{_prefix}/bin/auto-tuner

%changelog
* Wed Apr 24 2024 liyunfei <liyunfei33@huawei.com> - 2.2.0-1
- Package init